<?php

if ($data) {
    header("Content-disposition: attachment; filename=phonalisa-voicemail-file_" . date('Y-m-d_H-i-s') . ".wav");
    header("Pragma: no-cache");
    header("Pragma: public");
    header("Expires: 0");
    header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
    header("Content-Type: application/force-download");
    header("Content-Type: application/octet-stream");
    header("Content-Type: application/download");
    header("Content-Transfer-Encoding: binary ");
    header('Content-type: audio/wav');
    echo $data;
} else {
    throw new CHttpException(404, 'Voicemail not found!');
}